chippeak(1)

NAME
chippeak - Locates signal peaks within a set of tags positions produced by a ChIP-Seq experiment

SYNOPSIS
chippeak [ options ] [ -f <feature name> ] -t <threshold> -w <window> -v <vicinity> [ < ] [ SGA file ]

DESCRIPTION
chippeak reads a ChIP-seq data file (or from stdin [<]) in SGA format (<SGA file>), and detects signal peaks for ChIP-tag positions corresponding to a specific feature <feature name> when given. If no feature is given then all input tags are processed.

Launching chippeak without any arguments will print the options list, along with their default values.

The <feature> parameter is a name that corresponds to the second field of the SGA file. It might optionally include the strand specification (+|-). If no feature is given then all input tags are processed.

The SGA input file MUST BE sorted by sequence name (or chromosome id), position, and strand. One should check the input SGA file with the following command:

sort -s -c -k1,1 -k3,3n -k4,4 <SGA file>

The output is an SGA-formatted list containing signal peak locations.

OPTIONS

-c <cut-off>
    A value can be specified as a cut-off for the input tag counts.

    This parameter is optional. Its default value is 1.

-d  Show debug info. The program performs the sorting order check of the input data file.

-f <feature name>
    This parameter is used to select all or a sub-set of chIP-seq input tags. The feature name is specified in the second field of the SGA-formatted input file.

    If no feature name is given, then all features are selected.

-h  Show the usage message.

-o  Oriented strand processing. If this option is selected, peaks are separately detected on plus and minus strands, respectively.

-r  Refine Peak Positions. If this option is selected, a post-processing step is turned on in order to improve peak location. For initially selected peaks, the position is recomputed as the center of gravity of the counts in the regin defined by the <window> parameter.

-t <threshold>
    Peak Threshold. Cumulative tag count within a range w should be bigger or equal Threshold t. The default value is 50.

    This parameter is optional.

-v <vicinity>
    It defines the minimal distance (in bp) amongst a group of local maxima (high count values).

    This parameter is mandatory.

-w <window>
    It defines the integration range (in bp) of signal (or tag) counts.

    This parameter is mandatory.

SEE ALSO
chipcor(1) chipextract(1) chipcenter(1), chippart(1) chipscore(1),